## OPTIONS

RoomOptions
adaptiveStream dynacast disconnectOnPageLeave stopLocalTrackOnUnpublish webAudioMix
VideoCaptureOptions True (default) False (no video) Custom
deviceId {{'[' + device.label + '] ' + device.deviceId}} facingMode {{mode}}
AudioCaptureOptions True (default) False (no audio) Custom
autoGainControl echoCancellation noiseSuppression
deviceId channelCount latency sampleRate sampleSize
ScreenShareCaptureOptions
True (default) False (no screen) Custom
video audio preferCurrentTab suppressLocalAudioPlayback displaySurface {{surface}} contentHint {{hint}} selfBrowserSurface {{surface}} surfaceSwitching {{surface}} systemAudio {{audio}}
Resolution Default Custom
TrackPublishOptions
simulcast dtx red backupCodec forceStereo stopMicTrackOnMute videoCodec {{codec | uppercase}} scalabilityMode {{mode}} name source {{source}} stream